////////////////////////////////////////////////////////////////////////////
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////
package edu.uiuc.jdbv.diagram;

import com.jgraph.graph.*;


import edu.uiuc.jdbv.schema.Connection;
import edu.uiuc.jdbv.schema.Column;


import java.util.*;


/**
 * A GraphCell Model for a Connection
 *  
 * @author Brian Sidharta
 * @version $Revision: 1.2 $
 */
public class ConnectionEdge extends DefaultEdge
{
    /** The connection that this edge represents */
    protected Connection connection;


    /** Constructor that takes the connection this edge represents */
    public ConnectionEdge( Connection connection )
    {

        this.connection = connection;
    }


    /** Retrieves the connection this edge represents */
    public Connection getConnection()
    {
        return (connection);
    }
}
