////////////////////////////////////////////////////////////////////////////
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////
package edu.uiuc.jdbv.diagram.xmlPersist;

import edu.uiuc.jdbv.diagram.*;
import edu.uiuc.jdbv.schema.*;

import java.beans.*;

/**
 * Persistence Delegate that handles ConnectionEdges
 * @author Uday Kale
 * @version $Revision: 1.3 $
 */
public class ConnectionEdgePersistenceDelegate 
    extends DefaultPersistenceDelegate
{

    protected Expression instantiate( Object oldInstance, Encoder out )
    {
        if (oldInstance.getClass() != ConnectionEdge.class) { 
            throw new IllegalArgumentException( "Expected a ConnectionEdge " +
                                                "as oldInstance!" );
        }

        ConnectionEdge conn = (ConnectionEdge)oldInstance;
        Object[] constructorArgs = new Object[] { conn.getConnection() };
        return (new Expression( conn, ConnectionEdge.class,
                                "new", constructorArgs ));
    }

}

