////////////////////////////////////////////////////////////////////////////
// This library is free software; you can redistribute it and/or
// modify it under the terms of the GNU Lesser General Public
// License as published by the Free Software Foundation; either
// version 2.1 of the License, or (at your option) any later version.
//
// This library is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
// Lesser General Public License for more details.
//
// You should have received a copy of the GNU Lesser General Public
// License along with this library; if not, write to the Free Software
// Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
////////////////////////////////////////////////////////////////////////////
package edu.uiuc.jdbv.imports.oracle;

import java.io.*;
import java.util.*;
import java.sql.*;

/**
 * Class that makes a connection with a given Oracle database
 * and returns a connection
 * @author Uday Kale
 * @version $Revision: 1.5 $
 */
public class OracleConnect {

    public static Connection connectDB
		(String connString, String user, String passwd) {

	Connection conn  = null;

	try {
	    // Load the class
	    Class.forName("oracle.jdbc.driver.OracleDriver");
	    System.out.println("Class loaded");

	    // String url = "jdbc:oracle:thin:@65.27.3.205:1521:test1";
	    // String url = "jdbc:oracle:thin:@IBM-uday.kc.rr.com:1521:test1";
	    String url = "jdbc:oracle:thin:@" + connString;
	    conn = DriverManager.getConnection(url, user, passwd);
	} catch(Exception ex) {
	    System.out.println(ex);
	}
	return conn;
    }
}
